using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Drawing.Drawing2D;
using System.Drawing;


namespace vmsnet.HMI
{
    [TypeConverterAttribute(typeof(ExpandableObjectConverter))]
    public partial class CMouseinfo
    {
        private Boolean hand;
        private Boolean cross;
        private Boolean move;
        private Boolean drag;
        private EDRAGTYPE dragtype;

        private PointF position;

        public CMouseinfo(PointF PointF)
        {
            position = PointF;
        }
        public EDRAGTYPE DragType
        {
            get { return this.dragtype; }
            set { this.dragtype = value; }
        }
        public PointF Position
        {
            get { return this.position; }
            set { this.position = value; }
        }
        public Boolean Hand
        {
            get { return this.hand; }
            set { this.hand = value; }
        }
        public Boolean Cross
        {
            get { return this.cross; }
            set { this.cross = value; }
        }
        public Boolean Move
        {
            get { return this.move; }
            set { this.move = value; }
        }
        public Boolean Drag
        {
            get { return this.drag; }
            set { this.drag = value; }
        }

    }
}
